Subject: Re: bug#7595: Infinite loop in cc-mode, or the coming of autumn

From: Chong Yidong <[email-masked]>
Date: Mon, 07 Mar 2011 00:00:23 -0500

> we will shall see if we just have to bite the bullet and continue
> pretesting.  But if it does not trigger for realistic usage, I prefer
> to leave matters as they are for 23.3---i.e. swapping one rare infloop
> in 23.2 (Bug#7595) for a different one in 23.3 (the above).

On reflection, it's probably better to revert the original fix for 7595,
and go back to the (problematic) prior behavior.  As for the patch you
proposed, it doesn't look obvious and safe enough to include at this
late stage.